> ## Documentation Index
> Fetch the complete documentation index at: https://cantonfoundation-generated-references-typescript-bindings-u.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /v0/entry/all

> Lists all ANS entries owned by the user.
Expired entries are not included in the response, even if the corresponding contracts are still active on the ledger.




## OpenAPI

````yaml /openapi/splice/validator/ans-external.yaml get /v0/entry/all
openapi: 3.0.0
info:
  title: ANS API
  version: 0.0.1
servers:
  - url: https://example.com/api/validator
security: []
tags:
  - name: ans
paths:
  /v0/entry/all:
    get:
      tags:
        - ans
      summary: GET /v0/entry/all
      description: >
        Lists all ANS entries owned by the user.

        Expired entries are not included in the response, even if the
        corresponding contracts are still active on the ledger.
      operationId: listAnsEntries
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListAnsEntriesResponse'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
      security:
        - userAuth: []
components:
  schemas:
    ListAnsEntriesResponse:
      type: object
      required:
        - entries
      properties:
        entries:
          type: array
          items:
            $ref: '#/components/schemas/AnsEntryResponse'
    AnsEntryResponse:
      type: object
      required:
        - contractId
        - name
        - amount
        - unit
        - expiresAt
        - paymentInterval
        - paymentDuration
      properties:
        contractId:
          $ref: '#/components/schemas/ContractId'
        name:
          type: string
        amount:
          type: string
        unit:
          type: string
        expiresAt:
          type: string
        paymentInterval:
          type: string
        paymentDuration:
          type: string
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
    ContractId:
      type: string
  responses:
    '404':
      description: not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    '500':
      description: internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    userAuth:
      description: >
        JWT token as described in
        [spliceAppBearerAuth](../../../../common/src/main/openapi/common-external.yaml#/components/securitySchemes/spliceAppBearerAuth).

        The subject of the token must be ledger API user of the user affected by
        the endpoint.
      type: http
      scheme: bearer
      bearerFormat: JWT

````